Bug 978435 - NM should have a way to tell it not to take care of DNS configuration
NM should have a way to tell it not to take care of DNS configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Rashid Khan
Desktop QE
:
Depends On:
Blocks: 872575
  Show dependency treegraph
 
Reported: 2013-06-26 11:26 EDT by Tomáš Hozza
Modified: 2014-06-17 22:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.8.2-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:05:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 690404 None None None Never

  None (edit)
Description Tomáš Hozza 2013-06-26 11:26:47 EDT
Description of problem:
Currently there is no way how to tell NM not to take care of DNS configuration.
This would be really helpful for example when using dnssec-trigger with unbound
to provide DNSSEC validation on workstations.

Currently dnssec-trigger is forced to lock resolv.conf by setting immutable
attribute on it, so NM doesn't change it. This is a dirty solution and noone
is happy about it.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.8.2-3.el7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
There is NO way to tell NM not to take care of DNS configuration and not
to modify resolv.conf

Expected results:
There IS a way to tell NM not to take care of DNS configuration and not
to modify resolv.conf

Additional info:
This is already fixed in upstream repo. A new "none" DNS mode was added
to tell NM not to modify resolv.conf at all.

Upstream commit 282a9720ab4432b919e0fa57a9b71dfe87ee8ac1
Comment 1 Jirka Klimes 2013-07-09 08:26:11 EDT
I took the upstream commit and related changed and backported them to RHEL7 code base; built as NetworkManager-0.9.8.2-7.el7.
Comment 3 Jirka Klimes 2014-03-10 10:34:03 EDT
Test case for QA:
1) Add this to /etc/NetworkManager.conf [main] section:
dns=none
2) restart NM
3) NM should not change /etc/resolv.conf any more

More information in 'man NetworkManager.conf'.
Comment 4 Vladimir Benes 2014-04-15 08:13:37 EDT
Configuration file is in NetworkManager subfolder in /etc but yes, this works well.
Comment 5 Ludek Smid 2014-06-13 06:05:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.